(* $Header:   P:/source/cwright/addons/pascal/cwapi.pav   1.0   02 Nov 1994 15:03:58   MarvinD  $ *)
(*
 *
 *   This source code is provided to the purchaser of the product
 *   for the purpose of allowing the purchaser to customize and/or
 *   extend the functionality of the product.  The source code   
 *   remains the property of Starbase Corp. with all rights reserved.
 *   Any modifications to the source code are considered derivative
 *   works and all rights thereto are reserved to Starbase Corp. except
 *   that the purchaser may use the modified product in the same
 *   permitted manner as the unmodified product.  It is expressly
 *   prohibited to distribute in any manner any part of the original
 *   source code, whether in source or object form, without the
 *   express written permission from Starbase Corp.
 *
 *    Owner:
 *        Starbase Corporation
 *          1075 NW Murray Blvd., Suite 268
 *            Portland, OR 97229
 *
 *)
{$F+}
{$S-}

unit CWAPI;

interface

uses WinTypes;

TYPE
    DWORD    = LongInt;
    LPVOID   = Pointer;
    Long     = LongInt;
    Short    = ShortInt;
    PLongInt = ^LongInt;
    HKEYMAP  = Pointer;
    LPString = PChar;
    HWINDOW  = Pointer;
    HBUFFER  = Pointer;

CONST
     PNIL : PLongInt = NIL;
{$IFDEF WIN32}
	 cwdll = 'cwdll32.dll';
{$ELSE}
	 cwdll = 'cwright.dll';
{$ENDIF}
	 cwstart = 'cwstart.dll';



FUNCTION _PosCurrentChar: Integer; stdcall;
FUNCTION _PosCurrentCharNL: Integer; stdcall;
FUNCTION _PosInit(P1: LongInt): Integer; stdcall;
FUNCTION _PosNextChar: Integer; stdcall;
FUNCTION _PosNextCharNL: Integer; stdcall;
FUNCTION _PosNextLine(P1: LongInt): LongInt; stdcall;
FUNCTION _PosPrevChar: Integer; stdcall;
FUNCTION _PosPrevCharNL: Integer; stdcall;
FUNCTION _PosPrevLine(P1: LongInt): LongInt; stdcall;
FUNCTION _PosQColor: Integer; stdcall;
FUNCTION _PosQLine: LongInt; stdcall;
FUNCTION _PosQOffset: LongInt; stdcall;
PROCEDURE _PosSetColor(P1: Integer; P2: LongInt); stdcall;
FUNCTION ArgCount: Integer; stdcall;
FUNCTION ArgReturnType: Integer; stdcall;
FUNCTION AttrFindColor(P1: Integer; P2: Integer; P3: Integer): Integer; stdcall;
FUNCTION AttrFindVisible(P1: Integer; P2: Integer; P3: Integer): Integer; stdcall;
FUNCTION AttrQColor: Integer; stdcall;
FUNCTION AttrQVisible: Integer; stdcall;
PROCEDURE AttrReplColor(P1: LongInt; P2: LongInt; P3: LongInt; P4: LongInt; P5: Integer); stdcall;
PROCEDURE AttrSelColor(P1: Integer); stdcall;
PROCEDURE AttrSelVisible(P1: Integer); stdcall;
PROCEDURE AttrSetColor(P1: LongInt; P2: LongInt; P3: LongInt; P4: LongInt; P5: Integer); stdcall;
FUNCTION AttrSetPaletteEntry(P1: Integer; P2: LongInt): LongInt; stdcall;
PROCEDURE AttrSetVisible(P1: LongInt; P2: LongInt; P3: Integer); stdcall;
FUNCTION BufAppendToScrap: Integer; stdcall;
FUNCTION BufBackspace(P1: LongInt): Integer; stdcall;
PROCEDURE BufClear; stdcall;
PROCEDURE BufClearScrap; stdcall;
FUNCTION BufClearUndo: Integer; stdcall;
FUNCTION BufCopyToScrap: Integer; stdcall;
FUNCTION BufCreate(P1: PChar; P2: PChar; P3: Integer): HBUFFER; stdcall;
FUNCTION BufCutToScrap: Integer; stdcall
FUNCTION BufDelBuffer(P1: HBUFFER): Integer; stdcall;
FUNCTION BufDelChar(P1: LongInt): Integer; stdcall;
FUNCTION BufDelLine(P1: LongInt): Integer; stdcall;
FUNCTION BufDelSelection: Integer; stdcall;
FUNCTION BufDelToEOL: Integer; stdcall;
FUNCTION BufDiff(P1: PChar; P2: Integer; P3: PChar; P4: Integer): Integer; stdcall;
FUNCTION BufEditFile(P1: PChar): HBUFFER; stdcall;
FUNCTION BufFindBuffer(P1: PChar; P2: Integer; P3: Integer): HBUFFER; stdcall;
PROCEDURE BufInsertChar(P1: Integer);  stdcall; stdcall;
PROCEDURE BufInsertEOL; stdcall;
FUNCTION BufInsertFile(P1: PChar): Integer; stdcall;
FUNCTION BufInsertScrap: Integer; stdcall;
PROCEDURE BufInsertStr(P1: PChar); stdcall; stdcall;
PROCEDURE BufInsertStrN(P1: PChar; P2: Integer); stdcall;
FUNCTION BufQAutoIndent: Integer; stdcall;
FUNCTION BufQAutoIndentMode: Integer; stdcall;
FUNCTION BufQBackupSpec: PChar; stdcall;
FUNCTION BufQBufferCount(P1: Integer): Integer; stdcall;
FUNCTION BufQCtrlzAppend: Integer; stdcall;
FUNCTION BufQCtrlzEOF: Integer; stdcall;
FUNCTION BufQCurrentBuffer: HBUFFER; stdcall;
FUNCTION BufQCurrentCol: LongInt; stdcall;
FUNCTION BufQCurrentLine: LongInt; stdcall;
FUNCTION BufQFilename: PChar; stdcall;
FUNCTION BufQGlobalBackupSpec: PChar; stdcall;
FUNCTION BufQInsertMode: Integer; stdcall;
FUNCTION BufQIsReadOnly: Integer; stdcall;
FUNCTION BufQIsRedoAvailable: Integer; stdcall;
FUNCTION BufQIsSystem(P1: HBUFFER): Integer; stdcall;
FUNCTION BufQIsUndoAvailable: Integer; stdcall;
FUNCTION BufQIsUndoInProgress: Integer; stdcall;
FUNCTION BufQIsValidHandle(P1: HBUFFER): Integer; stdcall;
FUNCTION BufQLineLength: LongInt; stdcall;
FUNCTION BufQList: HBUFFER; stdcall;
FUNCTION BufQMaxTabCol: LongInt; stdcall;
FUNCTION BufQMaxVirtualLines: Integer; stdcall;
FUNCTION BufQModelBuffer: HBUFFER; stdcall;
FUNCTION BufQModified: Integer; stdcall;
FUNCTION BufQModifiedCount(P1: Integer): Integer; stdcall;
FUNCTION BufQName: PChar; stdcall;
FUNCTION BufQNewLine(P1: LongInt): LongInt; stdcall;
FUNCTION BufQNext(P1: Integer): HBUFFER; stdcall;
FUNCTION BufQNextTab(P1: LongInt): LongInt; stdcall;
FUNCTION BufQOffset: LongInt; stdcall;
FUNCTION BufQOutputName: PChar; stdcall;
FUNCTION BufQPastEOF: Integer; stdcall;
FUNCTION BufQPastEOL: LongInt; stdcall;
FUNCTION BufQPrev(P1: Integer): HBUFFER; stdcall;
FUNCTION BufQPrevTab(P1: LongInt): LongInt; stdcall;
FUNCTION BufQSaved: Integer; stdcall;
FUNCTION BufQScrapBuffer: HBUFFER; stdcall;
FUNCTION BufQScrapHasText: Integer; stdcall;
FUNCTION BufQSysFlags: LongInt; stdcall;
FUNCTION BufQTabStr: PChar; stdcall;
FUNCTION BufQTabUsage: Integer; stdcall;
FUNCTION BufQUnixEOL: Integer; stdcall;
FUNCTION BufQUserFlags: LongInt; stdcall;
FUNCTION BufQViews: LongInt; stdcall;
FUNCTION BufQVirtualSpace: LongInt; stdcall;
FUNCTION BufReadChar: Integer; stdcall;
FUNCTION BufReadStr(P1: LongInt): PChar; stdcall;
FUNCTION BufRedo: Integer; stdcall;
FUNCTION BufReplace(P1: LongInt; P2: Integer; P3: PChar; P4: Integer): Integer; stdcall;
FUNCTION BufReread: Integer; stdcall;
PROCEDURE BufSetAscii; stdcall;
FUNCTION BufSetAttributes(P1: HBUFFER): Integer; stdcall;
PROCEDURE BufSetAutoIndent(P1: Integer); stdcall;
FUNCTION BufSetAutoIndentMode(P1: Integer): Integer; stdcall;
FUNCTION BufSetBackupSpec(P1: PChar): Integer; stdcall;
PROCEDURE BufSetCompact; stdcall;
PROCEDURE BufSetCtrlzAppend(P1: Integer); stdcall;
PROCEDURE BufSetCtrlzEOF(P1: Integer); stdcall;
FUNCTION BufSetCurrentBuffer(P1: HBUFFER): Integer; stdcall;
FUNCTION BufSetGlobalBackupSpec(P1: PChar): Integer; stdcall;
PROCEDURE BufSetHexAscii; stdcall;
PROCEDURE BufSetHexBinary; stdcall;
PROCEDURE BufSetInsertMode(P1: Integer); stdcall;
PROCEDURE BufSetMaxTabCol(P1: LongInt); stdcall;
PROCEDURE BufSetMaxVirtualLines(P1: Integer); stdcall;
PROCEDURE BufSetModelBuffer; stdcall;
PROCEDURE BufSetModified(P1: Integer); stdcall;
FUNCTION BufSetName(P1: PChar): Integer; stdcall;
FUNCTION BufSetOutputName(P1: PChar): Integer; stdcall;
PROCEDURE BufSetReadOnly(P1: Integer); stdcall;
PROCEDURE BufSetSaved(P1: Integer); stdcall;
FUNCTION BufSetSysFlags(P1: LongInt): LongInt; stdcall;
PROCEDURE BufSetTabStr(P1: PChar); stdcall;
PROCEDURE BufSetTabUsage(P1: Integer); stdcall;
PROCEDURE BufSetUnixEOL(P1: Integer); stdcall;
FUNCTION BufSetUserFlags(P1: LongInt): LongInt; stdcall;
FUNCTION BufSwitchBuffer(P1: HBUFFER): HBUFFER; stdcall;
FUNCTION BufToggleSysFlags(P1: LongInt): LongInt; stdcall;
FUNCTION BufToggleUserFlags(P1: LongInt): LongInt; stdcall;
FUNCTION BufTransfer(P1: HBUFFER; P2: LongInt; P3: LongInt; P4: LongInt; P5: LongInt): Integer; stdcall;
FUNCTION BufTransferBytes(P1: HBUFFER; P2: LongInt; P3: LongInt): Integer; stdcall;
FUNCTION BufUndo: Integer; stdcall;
FUNCTION BufWrite: Integer; stdcall;
FUNCTION BufWriteFile(P1: PChar; P2: Integer): Integer; stdcall;
FUNCTION BufWriteSelection(P1: PChar): Integer; stdcall;
FUNCTION ClipboardAppend: Integer; stdcall;
FUNCTION ClipboardCopy: Integer; stdcall;
FUNCTION ClipboardCut: Integer; stdcall;
FUNCTION ClipboardEnableSepStr(P1: Integer): Integer; stdcall;
FUNCTION ClipboardEnableTermStr(P1: Integer): Integer; stdcall;
FUNCTION ClipboardErase: Integer; stdcall;
FUNCTION ClipboardPaste: Integer; stdcall;
FUNCTION ClipboardQHasText: Integer; stdcall;
FUNCTION ClipboardQIsSepStrEnabled: Integer; stdcall;
FUNCTION ClipboardQIsTermStrEnabled: Integer; stdcall;
FUNCTION ClipboardQSepStr: PChar; stdcall;
FUNCTION ClipboardQTermStr: PChar; stdcall;
PROCEDURE ClipboardSetSepStr(P1: PChar); stdcall;
PROCEDURE ClipboardSetTermStr(P1: PChar); stdcall;
FUNCTION ColorCommandLine(P1: Integer): Integer; stdcall;
FUNCTION ColorComments(P1: Integer): Integer; stdcall;
FUNCTION ColorDiffAdd(P1: Integer): Integer; stdcall;
FUNCTION ColorDiffDel(P1: Integer): Integer; stdcall;
FUNCTION ColorError(P1: Integer): Integer; stdcall;
FUNCTION ColorInsertedLines(P1: Integer): Integer; stdcall;
FUNCTION ColorKeywords(P1: Integer): Integer; stdcall;
FUNCTION ColorLineNumbers(P1: Integer): Integer; stdcall;
FUNCTION ColorMessage(P1: Integer): Integer; stdcall;
FUNCTION ColorModifiedLines(P1: Integer): Integer; stdcall;
FUNCTION ColorSelection(P1: Integer): Integer; stdcall;
FUNCTION ColorText(P1: Integer): Integer; stdcall;
FUNCTION ColorWarning(P1: Integer): Integer; stdcall;
FUNCTION DiffBegin(P1: PChar; P2: PChar; P3: Integer; P4: Integer): Integer; stdcall;
FUNCTION DiffEnd: Integer; stdcall;
FUNCTION DiffFile(P1: PChar; P2: PChar; P3: Integer; P4: Integer): Integer; stdcall;
FUNCTION DiffGetFirstLine(P1: Integer): Integer; stdcall;
FUNCTION DiffGetNextLine: Integer; stdcall;
FUNCTION DiffGetRefLine(P1: LongInt): Integer; stdcall;
FUNCTION DiffGetTgtLine(P1: LongInt; P2: Integer): Integer; stdcall;
FUNCTION DiffQLineBuffer: PChar; stdcall;
FUNCTION DiffQMatchingRefLine(P1: LongInt; P2: Integer): LongInt; stdcall;
FUNCTION DiffQMatchingTgtLine(P1: LongInt; P2: Integer): LongInt; stdcall;
FUNCTION DiffQRefDesc: PChar; stdcall;
FUNCTION DiffQRefLines: LongInt; stdcall;
FUNCTION DiffQRefName: PChar; stdcall;
FUNCTION DiffQTgtDesc(P1: Integer): PChar; stdcall;
FUNCTION DiffQTgtLines(P1: Integer): LongInt; stdcall;
FUNCTION DiffQTgtName(P1: Integer): PChar; stdcall;
FUNCTION EvalExpression(P1: PChar; var P2: LongInt): LongInt; stdcall;
FUNCTION EvalQStrDefined(P1: PChar): LongInt; stdcall;
FUNCTION EvalQStrValue(P1: PChar): LongInt; stdcall;
FUNCTION EvalStrAdd(P1: PChar; P2: LongInt): LongInt; stdcall;
FUNCTION EvalStrDel(P1: PChar): LongInt; stdcall;
FUNCTION EventDeregister(P1: LongInt): Integer; stdcall;
FUNCTION EventDisable(P1: LongInt): Integer; stdcall;
FUNCTION EventEnable(P1: LongInt): Integer; stdcall;
FUNCTION EventQHandlerExists(P1: Integer): Integer; stdcall;
FUNCTION EventQIsEnabled(P1: LongInt): Integer; stdcall;
FUNCTION EventRegister(P1: Integer; P2: Integer; P3: PChar): LongInt; stdcall;
FUNCTION EventTrigger(P1: Integer; P2: Pointer): Integer; stdcall;
FUNCTION FileClose(P1: Integer): Integer; stdcall;
FUNCTION FileCopy(P1: PChar; P2: PChar): Integer; stdcall;
FUNCTION FileCreate(P1: PChar; P2: Integer): Integer; stdcall;
FUNCTION FileCreateDirs(P1: PChar): Integer; stdcall;
FUNCTION FileDelete(P1: PChar): Integer; stdcall;
FUNCTION FileExists(P1: PChar): Integer; stdcall;
FUNCTION FileFind(P1: PChar): PChar; stdcall;
FUNCTION FileFindFirst(P1: PChar; P2: Integer): PChar; stdcall;
FUNCTION FileFindNext: PChar; stdcall;
FUNCTION FileGetc(P1: Integer): LongInt; stdcall;
FUNCTION FileGets(P1: PChar; P2: Integer; P3: Integer): PChar; stdcall;
FUNCTION FileMode(P1: PChar): LongInt; stdcall;
FUNCTION FileMove(P1: PChar; P2: PChar): Integer; stdcall;
FUNCTION FileOpen(P1: PChar; P2: Integer): Integer; stdcall;
FUNCTION FileQIsDir(P1: PChar): Integer; stdcall;
FUNCTION FileQIsWild(P1: PChar): Integer; stdcall;
FUNCTION FileRead(P1: Integer; P2: Pointer; P3: Integer): Integer; stdcall;
FUNCTION FileSeek(P1: Integer; P2: LongInt; P3: Integer): LongInt; stdcall;
FUNCTION FileSize(P1: Integer): LongInt; stdcall;
FUNCTION FileTell(P1: Integer): LongInt; stdcall;
FUNCTION FileTime(P1: PChar): LongInt; stdcall;
FUNCTION FileWrite(P1: Integer; P2: Pointer; P3: Integer): Integer; stdcall;
FUNCTION FontCreate(P1: PChar; P2: Integer; P3: Integer; P4: Integer; P5: Integer; P6: Integer; P7: Integer; P8: Integer): Integer; stdcall;
FUNCTION FontMetrics(P1: Integer; var P2: PChar; var P3: LongInt; var P4: LongInt; var P5: LongInt; var P6: LongInt; var P7: LongInt; var P8: LongInt; var P9: LongInt): Integer; stdcall;
FUNCTION FontQCurrent: Integer; stdcall;
FUNCTION FontSelectMsg(P1: Integer; P2: Integer): Integer; stdcall;
FUNCTION FontSelectWin(P1: Integer; P2: Integer): Integer; stdcall;
PROCEDURE HashClearTable(P1: Pointer; P2: Pointer); stdcall;
FUNCTION HashCreateTable(P1: Integer; P2: Integer; P3: Integer): Pointer; stdcall;
FUNCTION HashDeleteEntry(P1: Pointer; P2: Pointer; P3: Pointer): Integer; stdcall;
PROCEDURE HashDeleteTable(P1: Pointer; P2: Pointer); stdcall;
FUNCTION HashFindEntry(P1: Pointer; P2: PChar; P3: Integer): Pointer; stdcall;
FUNCTION HashFindFirst(P1: Pointer; P2: PChar): PChar; stdcall;
FUNCTION HashFindNext: PChar; stdcall;
FUNCTION HashGetEntry(P1: Pointer; P2: PChar; P3: Integer): Pointer; stdcall;
FUNCTION HistAddEntry(P1: PChar; P2: PChar): Integer; stdcall;
FUNCTION HistAddName(P1: PChar): Integer; stdcall;
FUNCTION HistEntryName(P1: Integer; P2: Integer): PChar; stdcall;
FUNCTION HistFindEntry(P1: PChar; P2: PChar): Integer; stdcall;
FUNCTION HistFindName(P1: PChar): Integer; stdcall;
FUNCTION HistGetEntry(P1: PChar; P2: PChar): Integer; stdcall;
FUNCTION HistGetName(P1: PChar): Integer; stdcall;
FUNCTION HistNewEntry(P1: PChar; P2: PChar; P3: Integer): Integer; stdcall;
FUNCTION HistNumEntries(P1: Integer): Integer; stdcall;
FUNCTION HistQLimit(P1: PChar): Integer; stdcall;
FUNCTION HistSetLimit(P1: PChar; P2: Integer): Integer; stdcall;
FUNCTION KeyCodeToStr(P1: Integer): PChar; stdcall;
FUNCTION KeyDelay(P1: Integer): Integer; stdcall;
PROCEDURE KeyFlush; stdcall;
FUNCTION KeyGetch: Integer; stdcall;
FUNCTION KeyGetVKey: Integer; stdcall;
FUNCTION KeyIdleEventDeregister(P1: Integer): Integer; stdcall;
FUNCTION KeyIdleEventRegister(P1: PChar; P2: LongInt): Integer; stdcall;
FUNCTION KeyPlayback(P1: PChar): Integer; stdcall;
FUNCTION KeyQCurrent: Integer; stdcall;
FUNCTION KeyQIdleTime: LongInt; stdcall;
FUNCTION KeyQLast: Integer; stdcall;
FUNCTION KeyQPressed: Integer; stdcall;
FUNCTION KeyQRecording: Integer; stdcall;
FUNCTION KeyQRecordString: PChar; stdcall;
FUNCTION KeyRecord(P1: Integer): Integer; stdcall;
FUNCTION KeyRepeat(P1: Integer): Integer; stdcall;
FUNCTION KeySetCurrent(P1: Integer): Integer; stdcall;
PROCEDURE KeySetRecordString(P1: PChar); stdcall;
FUNCTION KeyStrToCode(P1: PChar): Integer; stdcall;
FUNCTION KeyToAscii(P1: Integer): Integer; stdcall;
FUNCTION KeyUnget(P1: Integer): Integer; stdcall;
FUNCTION KmapAssign(P1: PChar; P2: PChar): Integer; stdcall;
FUNCTION KmapAssignRange(P1: Integer; P2: Integer; P3: PChar): Integer; stdcall;
PROCEDURE KmapAssignTypeables; stdcall;
FUNCTION KmapBusy(P1: Integer): Integer; stdcall;
FUNCTION KmapCreate(P1: PChar): HKEYMAP; stdcall;
PROCEDURE KmapDelete(P1: HKEYMAP); stdcall;
FUNCTION KmapDump(P1: PChar; P2: HKEYMAP): Integer; stdcall;
FUNCTION KmapGetHandles(P1: Pointer; P2: Integer): Integer; stdcall;
PROCEDURE KmapProcessBegin; stdcall;
PROCEDURE KmapProcessEnd; stdcall;
FUNCTION KmapQAssignment(P1: PChar): PChar; stdcall;
FUNCTION KmapQBinding(P1: HKEYMAP; P2: PChar): PChar; stdcall;
FUNCTION KmapQBufferLocal: HKEYMAP; stdcall;
FUNCTION KmapQCount: Integer; stdcall;
FUNCTION KmapQCurrent: HKEYMAP; stdcall;
FUNCTION KmapQIsValidHandle(P1: HKEYMAP): Integer; stdcall;
FUNCTION KmapQName(P1: HKEYMAP): PChar; stdcall;
FUNCTION KmapQProcessLevel: LongInt; stdcall;
FUNCTION KmapQWindowLocal: HKEYMAP; stdcall;
FUNCTION KmapSetBufferLocal(P1: HKEYMAP): HKEYMAP; stdcall;
FUNCTION KmapSetCurrent(P1: HKEYMAP): HKEYMAP; stdcall;
PROCEDURE KmapSetName(P1: HKEYMAP; P2: PChar); stdcall;
FUNCTION KmapSetWindowLocal(P1: HKEYMAP): HKEYMAP; stdcall;
PROCEDURE LibAutoLoad(P1: PChar); stdcall;
PROCEDURE LibExport(P1: PChar); stdcall; stdcall;
FUNCTION LibFunctionExec(P1: PChar): LongInt; stdcall;
FUNCTION LibFunctionExecArgs(P1: PChar; P2: LongInt; var P3: LongInt): LongInt; stdcall;
FUNCTION LibFunctionExists(P1: PChar): Integer; stdcall;
FUNCTION LibFunctionReplace(P1: PChar; P2: PChar): Integer; stdcall;
FUNCTION LibPreLoad(P1: PChar): Integer; stdcall;
FUNCTION LibQReplacement(P1: PChar): PChar; stdcall;
FUNCTION LibUnLoad(P1: PChar): Integer; stdcall;
FUNCTION MarkAdjustSel: Integer; stdcall;
FUNCTION MarkAllocGlobal: Integer; stdcall;
FUNCTION MarkAllocLocal: Integer; stdcall;
FUNCTION MarkBeginSel(P1: Integer): Integer; stdcall;
FUNCTION MarkCompare(P1: Integer; P2: Integer): Integer; stdcall;
FUNCTION MarkCopy(P1: Integer; P2: Integer): Integer; stdcall;
FUNCTION MarkCreateGlobal(P1: Integer): Integer; stdcall;
FUNCTION MarkCreateLocal(P1: Integer): Integer; stdcall;
FUNCTION MarkDropPos(P1: Integer): Integer; stdcall;
FUNCTION MarkDupPos(P1: Integer): Integer; stdcall;
FUNCTION MarkEndSel: Integer; stdcall;
FUNCTION MarkFree(P1: Integer): Integer; stdcall;
FUNCTION MarkFreeAllGlobal: Integer; stdcall;
FUNCTION MarkFreeAllLocal: Integer; stdcall;
FUNCTION MarkGetSelInfo(P1: Pointer; P2: Integer): Integer; stdcall;
FUNCTION MarkGetSelStr(P1: PChar; P2: PChar): PChar; stdcall;
FUNCTION MarkGoto(P1: Integer): Integer; stdcall;
FUNCTION MarkNormalizeSel: Integer; stdcall;
FUNCTION MarkQBufferHandle(P1: Integer): HBUFFER; stdcall;
FUNCTION MarkQColumn(P1: Integer): LongInt; stdcall;
FUNCTION MarkQColumnAdjust(P1: Integer; P2: Integer): Integer; stdcall;
FUNCTION MarkQDistance(P1: Integer; P2: Integer; P3: Integer): LongInt; stdcall;
FUNCTION MarkQGlobalCount: Integer; stdcall;
FUNCTION MarkQInUse(P1: Integer): Integer; stdcall;
FUNCTION MarkQIsGlobal(P1: Integer): Integer; stdcall;
FUNCTION MarkQIsLocal(P1: Integer): Integer; stdcall;
FUNCTION MarkQIsPosition(P1: Integer): Integer; stdcall;
FUNCTION MarkQIsSelection(P1: Integer): Integer; stdcall;
FUNCTION MarkQIsSelOpen: Integer; stdcall;
FUNCTION MarkQLine(P1: Integer): LongInt; stdcall;
FUNCTION MarkQLocalCount: Integer; stdcall;
FUNCTION MarkQNextGlobal: Integer; stdcall;
FUNCTION MarkQNextLocal: Integer; stdcall;
FUNCTION MarkQOrder(P1: Integer; P2: Integer): ShortInt; stdcall;
FUNCTION MarkQPosDepth: Integer; stdcall;
FUNCTION MarkQPosID: Integer; stdcall;
FUNCTION MarkQPrevGlobal: Integer; stdcall;
FUNCTION MarkQPrevLocal: Integer; stdcall;
FUNCTION MarkQSelBeginID: Integer; stdcall;
FUNCTION MarkQSelCount: Integer; stdcall;
FUNCTION MarkQSelEndID: Integer; stdcall;
FUNCTION MarkQSelSize(P1: Integer): LongInt; stdcall;
FUNCTION MarkQSelType: ShortInt; stdcall;
FUNCTION MarkQType(P1: Integer): Integer; stdcall;
PROCEDURE MarkRemoveAllSel; stdcall;
FUNCTION MarkRemoveSel: Integer; stdcall;
FUNCTION MarkRestorePos: Integer; stdcall;
FUNCTION MarkResumeSel: Integer; stdcall;
FUNCTION MarkRotatePos: Integer; stdcall;
PROCEDURE MarkSavePos; stdcall;
FUNCTION MarkSet(P1: Integer; P2: LongInt; P3: LongInt): Integer; stdcall;
FUNCTION MarkSetColumnAdjust(P1: Integer; P2: Integer; P3: Integer): Integer; stdcall;
FUNCTION MarkSwap(P1: Integer; P2: Integer): Integer; stdcall;
FUNCTION MarkSwapPos(P1: Integer): Integer; stdcall;
FUNCTION MarkSwapSel: Integer; stdcall;
FUNCTION MemAlloc(P1: Integer): Pointer; stdcall;
FUNCTION MemCalloc(P1: Integer; P2: Integer): Pointer; stdcall;
PROCEDURE MemFree(P1: Pointer); stdcall;
FUNCTION MemReAlloc(P1: Pointer; P2: Integer): Pointer; stdcall;
FUNCTION MenuAddHelpString(P1: Integer; P2: PChar): Integer; stdcall;
FUNCTION MenuAddKeyString(P1: Integer; P2: PChar): Integer; stdcall;
FUNCTION MenuDelete(P1: Integer): Integer; stdcall;
FUNCTION MenuDeleteItem(P1: Integer; P2: Integer): Integer; stdcall;
FUNCTION MenuGetId(P1: Integer): Integer; stdcall;
FUNCTION MenuGetItemId(P1: Integer; P2: Integer): Integer; stdcall;
FUNCTION MenuGetItemPos(P1: Integer; P2: Integer): Integer; stdcall;
FUNCTION MenuGetPos(P1: Integer): Integer; stdcall;
FUNCTION MenuInsert(P1: Integer; P2: Integer; P3: PChar;P4: Word; P5: PChar): Integer; stdcall;
FUNCTION MenuInsertItem(P1: Integer; P2: Integer; P3: Integer; P4: Integer; P5: PChar; P6: PChar): Integer; stdcall;
FUNCTION MenuQCount: Integer; stdcall;
FUNCTION MenuQHandle: Word; stdcall;
FUNCTION MenuQItemCount(P1: Integer): Integer; stdcall;
FUNCTION MenuRegisterHandler(P1: Integer; P2: PChar): Integer; stdcall;
FUNCTION MenuRegisterInitializer(P1: Integer; P2: PChar): Integer; stdcall;
FUNCTION Merge(P1: PChar; P2: Integer; P3: PChar; P4: PChar; P5: Integer; P6: PChar; P7: PChar; P8: Integer; P9: PChar; P10: PChar; P11: PChar): Integer; stdcall;
FUNCTION MouseButtons: Integer; stdcall;
PROCEDURE MouseCreateWin(P1: Integer); stdcall;
FUNCTION MouseCursorX: Integer; stdcall;
FUNCTION MouseCursorY: Integer; stdcall;
FUNCTION MovAbs(P1: LongInt; P2: LongInt): Integer; stdcall;
FUNCTION MovDown(P1: LongInt): Integer; stdcall;
FUNCTION MovEndWin: Integer; stdcall;
FUNCTION MovEOF: Integer; stdcall;
FUNCTION MovEOL: Integer; stdcall;
FUNCTION MovHome: Integer; stdcall;
FUNCTION MovLeft(P1: LongInt): Integer; stdcall;
FUNCTION MovNextChar(P1: LongInt): Integer; stdcall;
FUNCTION MovPageDown: Integer; stdcall;
FUNCTION MovPageUp: Integer; stdcall;
FUNCTION MovPrevChar(P1: LongInt): Integer; stdcall;
FUNCTION MovRel(P1: LongInt; P2: LongInt): Integer; stdcall;
FUNCTION MovRight(P1: LongInt): Integer; stdcall; stdcall;
FUNCTION MovToLine(P1: LongInt): Integer; stdcall;
FUNCTION MovToOffset(P1: LongInt): Integer; stdcall;
FUNCTION MovTopBuf: Integer; stdcall;
FUNCTION MovTopWin: Integer; stdcall;
FUNCTION MovUp(P1: LongInt): Integer; stdcall;
FUNCTION MsgCommandPrompt(P1: PChar; P2: PChar): PChar; stdcall;
FUNCTION MsgConfirm(P1: PChar; P2: PChar): Integer; stdcall;
PROCEDURE MsgError(P1: PChar); stdcall;
FUNCTION MsgLevel(P1: Integer): Integer; stdcall;
PROCEDURE MsgMessage(P1: PChar); stdcall;
PROCEDURE MsgNotify(P1: PChar); stdcall; stdcall;
FUNCTION MsgNotifyConfirm(P1: PChar): Integer; stdcall;
PROCEDURE MsgNotifyError(P1: PChar); stdcall;
FUNCTION MsgPauseOnError(P1: Integer): Integer; stdcall;
FUNCTION MsgPopupPrompt(P1: PChar; P2: PChar; P3: PChar): PChar; stdcall;
FUNCTION MsgPrompt(P1: PChar; P2: PChar; P3: PChar): PChar; stdcall;
FUNCTION MsgQLastStr: PChar; stdcall;
FUNCTION MsgQPromptResponse: PChar; stdcall;
PROCEDURE MsgSetPromptResponse(P1: PChar); stdcall;
PROCEDURE MsgWarning(P1: PChar); stdcall;
FUNCTION MsgWinType(P1: Integer): Integer; stdcall;
FUNCTION ReCompile(P1: PChar; P2: Integer): Pointer; stdcall;
PROCEDURE ReFree(P1: Pointer); stdcall;
FUNCTION RibbonAddBitmap(P1: Integer; P2: Integer; P3: Integer; P4: Integer; P5: PChar; P6: PChar; P7: PChar): Integer; stdcall;
FUNCTION RibbonAddButton(P1: Integer; P2: Integer; P3: Integer; P4: Integer; P5: Integer; P6: PChar; P7: PChar): Integer; stdcall;
FUNCTION RibbonAddControl(P1: Integer; P2: Integer; P3: Integer; P4: Integer; P5: Integer; P6: Integer; P7: LongInt; P8: PChar; P9: PChar; P10: Integer; P11: Pointer): Integer; stdcall;
FUNCTION RibbonAddIcon(P1: Integer; P2: Integer; P3: Integer; P4: Integer; P5: PChar; P6: PChar; P7: PChar): Integer; stdcall;
FUNCTION RibbonControlAssign(P1: Integer; P2: PChar): Integer; stdcall;
FUNCTION RibbonControlPos(P1: Integer; P2: Integer; P3: Integer): Integer; stdcall;
FUNCTION RibbonDelControl(P1: Integer): Integer; stdcall;
FUNCTION RibbonQBinding(P1: Integer): PChar; stdcall;
FUNCTION RibbonQHeight: LongInt; stdcall;
FUNCTION RibbonQUnusedID: Integer; stdcall;
FUNCTION RibbonQWidth: LongInt; stdcall;
FUNCTION RibbonRedraw: Word; stdcall;
FUNCTION RibbonSetHeight(P1: LongInt): LongInt; stdcall;
FUNCTION RibbonSetWidth(P1: LongInt): LongInt; stdcall;
FUNCTION ScrapChange(P1: Integer): Integer; stdcall;
FUNCTION ScrapNext: Integer; stdcall;
FUNCTION ScrapPrev: Integer; stdcall;
FUNCTION ScrapQCount: Integer; stdcall;
FUNCTION ScrapQCurrent: Integer; stdcall;
FUNCTION ScrapQNext: Integer; stdcall;
FUNCTION ScrapQPrev: Integer; stdcall;
FUNCTION ScrapSetCount(P1: Integer): Integer; stdcall;
FUNCTION ScrapSetCurrent(P1: Integer): Integer; stdcall;
FUNCTION SrchFind(P1: PChar; P2: LongInt; var P3: LongInt): Integer; stdcall; stdcall;
FUNCTION SrchQFlags: LongInt; stdcall;
FUNCTION SrchSetCase(P1: Integer): LongInt; stdcall;
FUNCTION SrchSetFlags(P1: LongInt): LongInt; stdcall;
FUNCTION SrchSetFwd(P1: Integer): LongInt; stdcall;
FUNCTION SrchSetGlobal(P1: Integer): LongInt; stdcall;
FUNCTION SrchSetPrompt(P1: Integer): LongInt; stdcall;
FUNCTION SrchSetRegex(P1: Integer): LongInt; stdcall;
FUNCTION SrchSetSelection(P1: Integer): LongInt; stdcall;
FUNCTION SrchSetWrap(P1: Integer): LongInt; stdcall;
FUNCTION SrchTranslate(P1: PChar; P2: PChar; P3: LongInt; var P4: LongInt): LongInt; stdcall;
FUNCTION StrAppend(P1: PChar; P2: PChar): PChar; stdcall;
FUNCTION StrAscii(P1: Integer): PChar; stdcall;
PROCEDURE StrFree(P1: PChar); stdcall;
FUNCTION StrGSub(P1: PChar; P2: PChar; P3: PChar; P4: LongInt): PChar; stdcall;
FUNCTION StrItoA(P1: LongInt; P2: Integer): PChar; stdcall;
FUNCTION StrLtrim(P1: PChar; P2: PChar): PChar; stdcall;
FUNCTION StrMatch(P1: PChar; P2: PChar; P3: Integer; var P4: LongInt): LongInt; stdcall;
FUNCTION StrNAppend(P1: PChar; P2: PChar; P3: Integer): PChar; stdcall;
FUNCTION StrNew(P1: PChar): PChar; stdcall;
FUNCTION StrNNew(P1: PChar; P2: Integer): PChar; stdcall;
FUNCTION StrNormalizePath(P1: PChar): PChar; stdcall;
FUNCTION StrSplitpath(P1: PChar; var P2: PChar; var P3: PChar; var P4: PChar; var P5: PChar): Integer; stdcall;
FUNCTION StrSub(P1: PChar; P2: PChar; P3: PChar; P4: LongInt): PChar; stdcall;
FUNCTION StrSubStr(P1: PChar; P2: Integer; P3: Integer): PChar; stdcall;
FUNCTION StrTrim(P1: PChar; P2: PChar): PChar; stdcall;
PROCEDURE SysBeep; stdcall;
FUNCTION SysCaretHeight(P1: Integer; P2: Integer): Integer; stdcall;
FUNCTION SysCaretWidth(P1: Integer): Integer; stdcall;
FUNCTION SysDeregisterMessageHandler(P1: LongInt): Integer; stdcall;
FUNCTION SysEditVersion: PChar; stdcall;
FUNCTION SysExec(P1: PChar; P2: PChar; P3: Integer): Integer; stdcall;
FUNCTION SysExit(P1: Integer): Integer; stdcall;
FUNCTION SysGetEnv(P1: PChar): PChar; stdcall;
FUNCTION SysLoadDesktopBitmap(P1: PChar): Integer; stdcall;
FUNCTION SysQAppName: PChar; stdcall;
FUNCTION SysQArgc: Integer; stdcall;
FUNCTION SysQArgv(P1: Integer): PChar; stdcall;
FUNCTION SysQCtlColor(P1: LongInt; P2: LongInt; P3: LongInt): LongInt; stdcall;
FUNCTION SysQCwd(P1: Integer): PChar; stdcall;
FUNCTION SysQDefault(P1: LongInt): LongInt; stdcall;
FUNCTION SysQFlags: LongInt; stdcall;
PROCEDURE SysQuit(P1: Integer); stdcall;
FUNCTION SysQUserFlags: LongInt; stdcall;
FUNCTION SysRegisterMessageHandler(P1: Word; P2: Integer; P3: PChar): LongInt; stdcall;
FUNCTION SysSetCwd(P1: PChar): Integer; stdcall;
PROCEDURE SysSetDefault(P1: LongInt; P2: LongInt); stdcall;
FUNCTION SysSetFileLocking(P1: Integer): Integer; stdcall;
FUNCTION SysSetFlags(P1: LongInt): LongInt; stdcall;
FUNCTION SysSetUserFlags(P1: LongInt): LongInt; stdcall;
PROCEDURE SysSwapBlocks(P1: Integer); stdcall;
FUNCTION SysToggleFlags(P1: LongInt): LongInt; stdcall;
FUNCTION SysToggleUserFlags(P1: LongInt): LongInt; stdcall;
FUNCTION SysWaitEnd: Integer; stdcall;
FUNCTION SysWaitStart: Integer; stdcall;
FUNCTION ToolboxAddBitmap(P1: Integer; P2: Integer; P3: Integer; P4: Integer; P5: PChar; P6: PChar; P7: PChar): Integer; stdcall;
FUNCTION ToolboxAddButton(P1: Integer; P2: Integer; P3: Integer; P4: Integer; P5: Integer; P6: PChar; P7: PChar): Integer; stdcall;
FUNCTION ToolboxAddControl(P1: Integer; P2: Integer; P3: Integer; P4: Integer; P5: Integer; P6: Integer; P7: LongInt; P8: PChar; P9: PChar; P10: Integer; P11: Pointer): Integer; stdcall;
FUNCTION ToolboxAddIcon(P1: Integer; P2: Integer; P3: Integer;  P4: Integer; P5: PChar; P6: PChar; P7: PChar): Integer; stdcall;
FUNCTION ToolboxControlAssign(P1: Integer; P2: PChar): Integer; stdcall;
FUNCTION ToolboxControlPos(P1: Integer; P2: Integer; P3: Integer): Integer; stdcall;
FUNCTION ToolboxDelControl(P1: Integer): Integer; stdcall;
FUNCTION ToolboxQBinding(P1: Integer): PChar; stdcall;
FUNCTION ToolboxQHeight: LongInt; stdcall;
FUNCTION ToolboxQUnusedID: Integer; stdcall;
FUNCTION ToolboxQWidth: LongInt; stdcall;
FUNCTION ToolboxRedraw: Word; stdcall;
FUNCTION ToolboxSetHeight(P1: LongInt): LongInt; stdcall;
FUNCTION ToolboxSetWidth(P1: LongInt): LongInt; stdcall;
FUNCTION TransformFilename(P1: PChar; P2: PChar): PChar; stdcall;
FUNCTION WinAttachBuf(P1: HWINDOW; P2: HBUFFER): Integer; stdcall;
FUNCTION WinCreate(P1: Integer; P2: Integer; P3: Integer; P4: Integer; P5: LongInt): HWINDOW; stdcall;
FUNCTION WinDelWindow(P1: HWINDOW): Integer; stdcall;
FUNCTION WinLeftMargin(P1: Integer): Integer; stdcall;
FUNCTION WinQAdjacent(P1: Integer): HWINDOW; stdcall;
FUNCTION WinQCurrentWindow: HWINDOW; stdcall;
FUNCTION WinQCursorX: LongInt; stdcall;
FUNCTION WinQCursorY: LongInt; stdcall;
FUNCTION WinQFirstLine: LongInt; stdcall;
FUNCTION WinQHClient: Integer; stdcall;
FUNCTION WinQHCurrent: Integer; stdcall;
FUNCTION WinQHFrame: Integer; stdcall;
FUNCTION WinQHInstance: Integer; stdcall;
FUNCTION WinQHRibbon: Integer; stdcall;
FUNCTION WinQHToolbox: Integer; stdcall;
FUNCTION WinQIsSystem: Integer; stdcall;
FUNCTION WinQIsValidHandle(P1: HWINDOW): Integer; stdcall;
FUNCTION WinQLastCurrent: HWINDOW; stdcall;
FUNCTION WinQLeftColumn: LongInt; stdcall;
FUNCTION WinQList: HWINDOW; stdcall;
FUNCTION WinQNext(P1: Integer): HWINDOW; stdcall;
FUNCTION WinQPos(P1: Word; var P2: LongInt; var P3: LongInt; var P4: LongInt; var P5: LongInt): Integer; stdcall;
FUNCTION WinQPrev(P1: Integer): HWINDOW; stdcall;
FUNCTION WinQSysFlags: LongInt; stdcall;
FUNCTION WinQTextHeight: LongInt; stdcall;
FUNCTION WinQTextWidth: LongInt; stdcall;
FUNCTION WinQUserFlags: LongInt; stdcall;
PROCEDURE WinRedraw(P1: HWINDOW); stdcall;
FUNCTION WinScrollH(P1: LongInt): Integer; stdcall;
FUNCTION WinScrollHInc(P1: LongInt): LongInt; stdcall;
FUNCTION WinScrollV(P1: LongInt): Integer; stdcall;
PROCEDURE WinSetCreationPos(P1: Integer; P2: Integer; P3: Integer; P4: Integer); stdcall;
FUNCTION WinSetCurrentWindow(P1: HWINDOW): HWINDOW; stdcall;
PROCEDURE WinSetModelWindow; stdcall;
FUNCTION WinSetPos(P1: Word; P2: LongInt; P3: LongInt; P4: LongInt; P5: LongInt): Integer; stdcall;
FUNCTION WinSetSysFlags(P1: LongInt): LongInt; stdcall;
PROCEDURE WinSetTopLeft(P1: LongInt; P2: LongInt); stdcall;
FUNCTION WinSetUserFlags(P1: LongInt): LongInt; stdcall;
FUNCTION WinToggleSysFlags(P1: LongInt): LongInt; stdcall;
FUNCTION WinToggleUserFlags(P1: LongInt): LongInt; stdcall;
PROCEDURE WinUpdate; stdcall;
FUNCTION WinVisibleEOF(P1: Integer): Integer; stdcall;
FUNCTION WinVisibleEOL(P1: Integer): Integer; stdcall;
FUNCTION WinVisibleMarginColumn(P1: Integer): Integer; stdcall;
FUNCTION WinVisibleSeparator(P1: Integer): Integer; stdcall;
FUNCTION WinVisibleSpaces(P1: Integer): Integer; stdcall;
FUNCTION WinVisibleTabs(P1: Integer): Integer; stdcall;
FUNCTION WinVisibleVirtLines(P1: Integer): Integer; stdcall;
FUNCTION WinVisibleVirtSpaces(P1: Integer): Integer; stdcall;
{**  The follwing are exported in cwstart.dll ** }


FUNCTION CheckIn(P1: LPString ; P2: LPString; P3: LPString; P4: LPString ): Integer;
FUNCTION CheckInBuffer( P1: LPString ): Integer;
FUNCTION CheckInQCmd: LPString;
FUNCTION CheckInResponse(P1: LPString; P2: LPString; P3: LPString; P4: LPString; P5: LPString ): Integer;
FUNCTION CheckOut(P1: LPString; P2: LPString; P3: LPString; P4: LPString; P5: Integer): Integer;
FUNCTION CheckOutBuffer(P1: Integer; P2: LPString ): Integer;
FUNCTION CheckOutQCmd(P1: Integer): LPString;
FUNCTION CheckOutResponse(P1: LPString; P2: LPString; P3: LPString; P4: LPString; P5:integer; P6: LPString ): Integer;
FUNCTION CompilerAddResponse( P1: LPString ; P2: LPString ): Integer;
FUNCTION DlgMenuExec( P1: LPString ): Integer;
FUNCTION DlgMenuPopupStr( P1: LPString; P2: Integer; P3: Integer ): Integer;
FUNCTION DlgMenuSetFilename( P1: LPString ): Integer;
FUNCTION EditPathFile( P1: LPString ): Integer;
FUNCTION DupSelection: Integer;
FUNCTION EditSetPath( P1: LPString ): LPString;
FUNCTION HelpGetDefault(P1: Integer ): LongInt;
FUNCTION IsFileLoaded( P1: LPString ): Integer;
FUNCTION IsFileModified( P1: LPString ): Integer;
FUNCTION nextWord( P1: Integer ): Integer;
FUNCTION openConfigFile(P1: LPString; P2: Integer ): HBUFFER;
FUNCTION prevWord( P1: Integer ): Integer;
FUNCTION ProjClearWorkspace(P1: Integer): Integer;
FUNCTION readConfigSection(P1: HBUFFER; P2: LPString; P3: LongInt): Integer;
FUNCTION SaveModifiedFile(P1: LPString ): Integer;
FUNCTION SelectWord : integer;
FUNCTION StateSetMarkLevel(P1: Integer): Integer;
FUNCTION VCSBufferOkToDelete( P1: LPString ): Integer;
FUNCTION VCSBufferReEdit( P1: LPString ): Integer;
FUNCTION VCSBufferSave( P1: LPString ): Integer;
FUNCTION VCSBufferValidate( P1: LPString ): Integer;
FUNCTION VCSCmd(P1: Integer; P2: LPString ): Integer;
FUNCTION VCSLabel( P1: LPString ): LPString;
FUNCTION VCSProject( P1: LPString ): LPString;
FUNCTION VCSProjectLocalPath( P1: LPString ): LPString;
FUNCTION VCSProjectPath( P1: LPString ): LPString;
FUNCTION VCSProvider( P1: LPString ): LPString;
FUNCTION VCSQCmd( P1: Integer ): LPString;
FUNCTION VCSQCmdFlags( P1: Integer ): LongInt;
FUNCTION VCSQCmdIDName( P1: Integer ): LPString;
FUNCTION VCSQCmdName( P1: Integer ): LPString;
FUNCTION VCSUpdateProjectWindow( P1: Integer ): Integer;
FUNCTION VCSUserName( P1: LPString ): LPString;
FUNCTION VCSVendor( P1: LPString ): LPString;
FUNCTION WrapEnable( P1: Integer ): Integer;
FUNCTION WrapSetRightMargin( P1: LongInt ): LongInt;
FUNCTION _VCSReloadHandler( P1: LongInt; P2: LongInt ): LongInt;
PROCEDURE CheckInSetCmd(P1: LPString);
PROCEDURE CheckOutSetCmd(P1: Integer; P2: LPString);
PROCEDURE closeConfigFile(P1: HBUFFER);
PROCEDURE Comment;
PROCEDURE CommentWithBorder;
PROCEDURE Edit_add_controls;
PROCEDURE GetBorderElements(P1: LPString; P2: LPString; P3: LPString; P4: LPString; P5: LPString; P6: LPString; P7: LPString; P8: LPString; P9: LPString; P10: LPString; P11: Pointer);
PROCEDURE HelpSetDefault(P1: Integer; P2: Integer; P3: LPString; P4: LPString; P5: LPString; P6: LPString );
PROCEDURE initOutput;
PROCEDURE initVCS;
PROCEDURE ReadVcsConfig(P1: Integer);
PROCEDURE SaveBorderElements;
PROCEDURE SetBorderElements(P1: LPString; P2: LPString; P3: LPString; P4: LPString; P5: LPString; P6: LPString; P7: LPString; P8: LPString; P9: LPString; P10: LPString; P11: Integer);
PROCEDURE SetWindowState(P1: Integer; P2: Integer );
PROCEDURE ShowStatus( P1: LPString; P2: LongInt; P3: LongInt );
PROCEDURE Standard_add_controls; 
PROCEDURE Tools_add_controls;
PROCEDURE VCSSetCmd(P1: Integer; P2: LPString; P3: LongInt );
PROCEDURE VCS_add_controls;
PROCEDURE WrapParagraph;
PROCEDURE _BuildBreak;


Implementation

FUNCTION _PosCurrentChar; External cwdll name '_PosCurrentChar';
FUNCTION _PosCurrentCharNL; External cwdll name '_PosCurrentCharNL';
FUNCTION _PosInit; External cwdll name '_PosInit';
FUNCTION _PosNextChar; External cwdll name '_PosNextChar';
FUNCTION _PosNextCharNL; External cwdll name '_PosNextCharNL';
FUNCTION _PosNextLine; External cwdll name '_PosNextLine';
FUNCTION _PosPrevChar; External cwdll name '_PosPrevChar';
FUNCTION _PosPrevCharNL; External cwdll name '_PosPrevCharNL';
FUNCTION _PosPrevLine; External cwdll name '_PosPrevLine';
FUNCTION _PosQColor; External cwdll name '_PosQColor';
FUNCTION _PosQLine; External cwdll name '_PosQLine';
FUNCTION _PosQOffset; External cwdll name '_PosQOffset';
PROCEDURE _PosSetColor; External cwdll name '_PosSetColor';
FUNCTION ArgCount; External cwdll name 'ArgCount';
FUNCTION ArgReturnType; External cwdll name 'ArgReturnType';
FUNCTION AttrFindColor; External cwdll name 'AttrFindColor';
FUNCTION AttrFindVisible; External cwdll name 'AttrFindVisible';
FUNCTION AttrQColor; External cwdll name 'AttrQColor';
FUNCTION AttrQVisible; External cwdll name 'AttrQVisible';
PROCEDURE AttrReplColor; External cwdll name 'AttrReplColor';
PROCEDURE AttrSelColor; External cwdll name 'AttrSelColor';
PROCEDURE AttrSelVisible; External cwdll name 'AttrSelVisible';
PROCEDURE AttrSetColor; External cwdll name 'AttrSetColor';
FUNCTION AttrSetPaletteEntry; External cwdll name 'AttrSetPaletteEntry';
PROCEDURE AttrSetVisible; External cwdll name 'AttrSetVisible';
FUNCTION BufAppendToScrap; External cwdll name 'BufAppendToScrap';
FUNCTION BufBackspace; External cwdll name 'BufBackspace';
PROCEDURE BufClear; External cwdll name 'BufClear';
PROCEDURE BufClearScrap; External cwdll name 'BufClearScrap';
FUNCTION BufClearUndo; External cwdll name 'BufClearUndo';
FUNCTION BufCopyToScrap; External cwdll name 'BufCopyToScrap';
FUNCTION BufCreate; External cwdll name 'BufCreate';
FUNCTION BufCutToScrap; External cwdll name 'BufCutToScrap';
FUNCTION BufDelBuffer; External cwdll name 'BufDelBuffer';
FUNCTION BufDelChar; External cwdll name 'BufDelChar';
FUNCTION BufDelLine; External cwdll name 'BufDelLine';
FUNCTION BufDelSelection; External cwdll name 'BufDelSelection';
FUNCTION BufDelToEOL; External cwdll name 'BufDelToEOL';
FUNCTION BufDiff; External cwdll name 'BufDiff';
FUNCTION BufEditFile; External cwdll name 'BufEditFile';
FUNCTION BufFindBuffer; External cwdll name 'BufFindBuffer';
PROCEDURE BufInsertChar; External cwdll name 'BufInsertChar';
PROCEDURE BufInsertEOL; External cwdll name 'BufInsertEOL';
FUNCTION BufInsertFile; External cwdll name 'BufInsertFile';
FUNCTION BufInsertScrap; External cwdll name 'BufInsertScrap';
PROCEDURE BufInsertStr; External cwdll name 'BufInsertStr';
PROCEDURE BufInsertStrN; External cwdll name 'BufInsertStrN';
FUNCTION BufQAutoIndent; External cwdll name 'BufQAutoIndent';
FUNCTION BufQAutoIndentMode; External cwdll name 'BufQAutoIndentMode';
FUNCTION BufQBackupSpec; External cwdll name 'BufQBackupSpec';
FUNCTION BufQBufferCount; External cwdll name 'BufQBufferCount';
FUNCTION BufQCtrlzAppend; External cwdll name 'BufQCtrlzAppend';
FUNCTION BufQCtrlzEOF; External cwdll name 'BufQCtrlzEOF';
FUNCTION BufQCurrentBuffer; External cwdll name 'BufQCurrentBuffer';
FUNCTION BufQCurrentCol; External cwdll name 'BufQCurrentCol';
FUNCTION BufQCurrentLine; External cwdll name 'BufQCurrentLine';
FUNCTION BufQFilename; External cwdll name 'BufQFilename';
FUNCTION BufQGlobalBackupSpec; External cwdll name 'BufQGlobalBackupSpec';
FUNCTION BufQInsertMode; External cwdll name 'BufQInsertMode';
FUNCTION BufQIsReadOnly; External cwdll name 'BufQIsReadOnly';
FUNCTION BufQIsRedoAvailable; External cwdll name 'BufQIsRedoAvailable';
FUNCTION BufQIsSystem; External cwdll name 'BufQIsSystem';
FUNCTION BufQIsUndoAvailable; External cwdll name 'BufQIsUndoAvailable';
FUNCTION BufQIsUndoInProgress; External cwdll name 'BufQIsUndoInProgress';
FUNCTION BufQIsValidHandle; External cwdll name 'BufQIsValidHandle';
FUNCTION BufQLineLength; External cwdll name 'BufQLineLength';
FUNCTION BufQList; External cwdll name 'BufQList';
FUNCTION BufQMaxTabCol; External cwdll name 'BufQMaxTabCol';
FUNCTION BufQMaxVirtualLines; External cwdll name 'BufQMaxVirtualLines';
FUNCTION BufQModelBuffer; External cwdll name 'BufQModelBuffer';
FUNCTION BufQModified; External cwdll name 'BufQModified';
FUNCTION BufQModifiedCount; External cwdll name 'BufQModifiedCount';
FUNCTION BufQName; External cwdll name 'BufQName';
FUNCTION BufQNewLine; External cwdll name 'BufQNewLine';
FUNCTION BufQNext; External cwdll name 'BufQNext';
FUNCTION BufQNextTab; External cwdll name 'BufQNextTab';
FUNCTION BufQOffset; External cwdll name 'BufQOffset';
FUNCTION BufQOutputName; External cwdll name 'BufQOutputName';
FUNCTION BufQPastEOF; External cwdll name 'BufQPastEOF';
FUNCTION BufQPastEOL; External cwdll name 'BufQPastEOL';
FUNCTION BufQPrev; External cwdll name 'BufQPrev';
FUNCTION BufQPrevTab; External cwdll name 'BufQPrevTab';
FUNCTION BufQSaved; External cwdll name 'BufQSaved';
FUNCTION BufQScrapBuffer; External cwdll name 'BufQScrapBuffer';
FUNCTION BufQScrapHasText; External cwdll name 'BufQScrapHasText';
FUNCTION BufQSysFlags; External cwdll name 'BufQSysFlags';
FUNCTION BufQTabStr; External cwdll name 'BufQTabStr';
FUNCTION BufQTabUsage; External cwdll name 'BufQTabUsage';
FUNCTION BufQUnixEOL; External cwdll name 'BufQUnixEOL';
FUNCTION BufQUserFlags; External cwdll name 'BufQUserFlags';
FUNCTION BufQViews; External cwdll name 'BufQViews';
FUNCTION BufQVirtualSpace; External cwdll name 'BufQVirtualSpace';
FUNCTION BufReadChar; External cwdll name 'BufReadChar';
FUNCTION BufReadStr; External cwdll name 'BufReadStr';
FUNCTION BufRedo; External cwdll name 'BufRedo';
FUNCTION BufReplace; External cwdll name 'BufReplace';
FUNCTION BufReread; External cwdll name 'BufReread';
PROCEDURE BufSetAscii; External cwdll name 'BufSetAscii';
FUNCTION BufSetAttributes; External cwdll name 'BufSetAttributes';
PROCEDURE BufSetAutoIndent; External cwdll name 'BufSetAutoIndent';
FUNCTION BufSetAutoIndentMode; External cwdll name 'BufSetAutoIndentMode';
FUNCTION BufSetBackupSpec; External cwdll name 'BufSetBackupSpec';
PROCEDURE BufSetCompact; External cwdll name 'BufSetCompact';
PROCEDURE BufSetCtrlzAppend; External cwdll name 'BufSetCtrlzAppend';
PROCEDURE BufSetCtrlzEOF; External cwdll name 'BufSetCtrlzEOF';
FUNCTION BufSetCurrentBuffer; External cwdll name 'BufSetCurrentBuffer';
FUNCTION BufSetGlobalBackupSpec; External cwdll name 'BufSetGlobalBackupSpec';
PROCEDURE BufSetHexAscii; External cwdll name 'BufSetHexAscii';
PROCEDURE BufSetHexBinary; External cwdll name 'BufSetHexBinary';
PROCEDURE BufSetInsertMode; External cwdll name 'BufSetInsertMode';
PROCEDURE BufSetMaxTabCol; External cwdll name 'BufSetMaxTabCol';
PROCEDURE BufSetMaxVirtualLines; External cwdll name 'BufSetMaxVirtualLines';
PROCEDURE BufSetModelBuffer; External cwdll name 'BufSetModelBuffer';
PROCEDURE BufSetModified; External cwdll name 'BufSetModified';
FUNCTION BufSetName; External cwdll name 'BufSetName';
FUNCTION BufSetOutputName; External cwdll name 'BufSetOutputName';
PROCEDURE BufSetReadOnly; External cwdll name 'BufSetReadOnly';
PROCEDURE BufSetSaved; External cwdll name 'BufSetSaved';
FUNCTION BufSetSysFlags; External cwdll name 'BufSetSysFlags';
PROCEDURE BufSetTabStr; External cwdll name 'BufSetTabStr';
PROCEDURE BufSetTabUsage; External cwdll name 'BufSetTabUsage';
PROCEDURE BufSetUnixEOL; External cwdll name 'BufSetUnixEOL';
FUNCTION BufSetUserFlags; External cwdll name 'BufSetUserFlags';
FUNCTION BufSwitchBuffer; External cwdll name 'BufSwitchBuffer';
FUNCTION BufToggleSysFlags; External cwdll name 'BufToggleSysFlags';
FUNCTION BufToggleUserFlags; External cwdll name 'BufToggleUserFlags';
FUNCTION BufTransfer; External cwdll name 'BufTransfer';
FUNCTION BufTransferBytes; External cwdll name 'BufTransferBytes';
FUNCTION BufUndo; External cwdll name 'BufUndo';
FUNCTION BufWrite; External cwdll name 'BufWrite';
FUNCTION BufWriteFile; External cwdll name 'BufWriteFile';
FUNCTION BufWriteSelection; External cwdll name 'BufWriteSelection';
FUNCTION ClipboardAppend; External cwdll name 'ClipboardAppend';
FUNCTION ClipboardCopy; External cwdll name 'ClipboardCopy';
FUNCTION ClipboardCut; External cwdll name 'ClipboardCut';
FUNCTION ClipboardEnableSepStr; External cwdll name 'ClipboardEnableSepStr';
FUNCTION ClipboardEnableTermStr; External cwdll name 'ClipboardEnableTermStr';
FUNCTION ClipboardErase; External cwdll name 'ClipboardErase';
FUNCTION ClipboardPaste; External cwdll name 'ClipboardPaste';
FUNCTION ClipboardQHasText; External cwdll name 'ClipboardQHasText';
FUNCTION ClipboardQIsSepStrEnabled; External cwdll name 'ClipboardQIsSepStrEnabled';
FUNCTION ClipboardQIsTermStrEnabled; External cwdll name 'ClipboardQIsTermStrEnabled';
FUNCTION ClipboardQSepStr; External cwdll name 'ClipboardQSepStr';
FUNCTION ClipboardQTermStr; External cwdll name 'ClipboardQTermStr';
PROCEDURE ClipboardSetSepStr; External cwdll name 'ClipboardSetSepStr';
PROCEDURE ClipboardSetTermStr; External cwdll name 'ClipboardSetTermStr';
FUNCTION ColorCommandLine; External cwdll name 'ColorCommandLine';
FUNCTION ColorComments; External cwdll name 'ColorComments';
FUNCTION ColorDiffAdd; External cwdll name 'ColorDiffAdd';
FUNCTION ColorDiffDel; External cwdll name 'ColorDiffDel';
FUNCTION ColorError; External cwdll name 'ColorError';
FUNCTION ColorInsertedLines; External cwdll name 'ColorInsertedLines';
FUNCTION ColorKeywords; External cwdll name 'ColorKeywords';
FUNCTION ColorLineNumbers; External cwdll name 'ColorLineNumbers';
FUNCTION ColorMessage; External cwdll name 'ColorMessage';
FUNCTION ColorModifiedLines; External cwdll name 'ColorModifiedLines';
FUNCTION ColorSelection; External cwdll name 'ColorSelection';
FUNCTION ColorText; External cwdll name 'ColorText';
FUNCTION ColorWarning; External cwdll name 'ColorWarning';
FUNCTION DiffBegin; External cwdll name 'DiffBegin';
FUNCTION DiffEnd; External cwdll name 'DiffEnd';
FUNCTION DiffFile; External cwdll name 'DiffFile';
FUNCTION DiffGetFirstLine; External cwdll name 'DiffGetFirstLine';
FUNCTION DiffGetNextLine; External cwdll name 'DiffGetNextLine';
FUNCTION DiffGetRefLine; External cwdll name 'DiffGetRefLine';
FUNCTION DiffGetTgtLine; External cwdll name 'DiffGetTgtLine';
FUNCTION DiffQLineBuffer; External cwdll name 'DiffQLineBuffer';
FUNCTION DiffQMatchingRefLine; External cwdll name 'DiffQMatchingRefLine';
FUNCTION DiffQMatchingTgtLine; External cwdll name 'DiffQMatchingTgtLine';
FUNCTION DiffQRefDesc; External cwdll name 'DiffQRefDesc';
FUNCTION DiffQRefLines; External cwdll name 'DiffQRefLines';
FUNCTION DiffQRefName; External cwdll name 'DiffQRefName';
FUNCTION DiffQTgtDesc; External cwdll name 'DiffQTgtDesc';
FUNCTION DiffQTgtLines; External cwdll name 'DiffQTgtLines';
FUNCTION DiffQTgtName; External cwdll name 'DiffQTgtName';
FUNCTION EvalExpression; External cwdll name 'EvalExpression';
FUNCTION EvalQStrDefined; External cwdll name 'EvalQStrDefined';
FUNCTION EvalQStrValue; External cwdll name 'EvalQStrValue';
FUNCTION EvalStrAdd; External cwdll name 'EvalStrAdd';
FUNCTION EvalStrDel; External cwdll name 'EvalStrDel';
FUNCTION EventDeregister; External cwdll name 'EventDeregister';
FUNCTION EventDisable; External cwdll name 'EventDisable';
FUNCTION EventEnable; External cwdll name 'EventEnable';
FUNCTION EventQHandlerExists; External cwdll name 'EventQHandlerExists';
FUNCTION EventQIsEnabled; External cwdll name 'EventQIsEnabled';
FUNCTION EventRegister; External cwdll name 'EventRegister';
FUNCTION EventTrigger; External cwdll name 'EventTrigger';
FUNCTION FileClose; External cwdll name 'FileClose';
FUNCTION FileCopy; External cwdll name 'FileCopy';
FUNCTION FileCreate; External cwdll name 'FileCreate';
FUNCTION FileCreateDirs; External cwdll name 'FileCreateDirs';
FUNCTION FileDelete; External cwdll name 'FileDelete';
FUNCTION FileExists; External cwdll name 'FileExists';
FUNCTION FileFind; External cwdll name 'FileFind';
FUNCTION FileFindFirst; External cwdll name 'FileFindFirst';
FUNCTION FileFindNext; External cwdll name 'FileFindNext';
FUNCTION FileGetc; External cwdll name 'FileGetc';
FUNCTION FileGets; External cwdll name 'FileGets';
FUNCTION FileMode; External cwdll name 'FileMode';
FUNCTION FileMove; External cwdll name 'FileMove';
FUNCTION FileOpen; External cwdll name 'FileOpen';
FUNCTION FileQIsDir; External cwdll name 'FileQIsDir';
FUNCTION FileQIsWild; External cwdll name 'FileQIsWild';
FUNCTION FileRead; External cwdll name 'FileRead';
FUNCTION FileSeek; External cwdll name 'FileSeek';
FUNCTION FileSize; External cwdll name 'FileSize';
FUNCTION FileTell; External cwdll name 'FileTell';
FUNCTION FileTime; External cwdll name 'FileTime';
FUNCTION FileWrite; External cwdll name 'FileWrite';
FUNCTION FontCreate; External cwdll name 'FontCreate';
FUNCTION FontMetrics; External cwdll name 'FontMetrics';
FUNCTION FontQCurrent; External cwdll name 'FontQCurrent';
FUNCTION FontSelectMsg; External cwdll name 'FontSelectMsg';
FUNCTION FontSelectWin; External cwdll name 'FontSelectWin';
PROCEDURE HashClearTable; External cwdll name 'HashClearTable';
FUNCTION HashCreateTable; External cwdll name 'HashCreateTable';
FUNCTION HashDeleteEntry; External cwdll name 'HashDeleteEntry';
PROCEDURE HashDeleteTable; External cwdll name 'HashDeleteTable';
FUNCTION HashFindEntry; External cwdll name 'HashFindEntry';
FUNCTION HashFindFirst; External cwdll name 'HashFindFirst';
FUNCTION HashFindNext; External cwdll name 'HashFindNext';
FUNCTION HashGetEntry; External cwdll name 'HashGetEntry';
FUNCTION HistAddEntry; External cwdll name 'HistAddEntry';
FUNCTION HistAddName; External cwdll name 'HistAddName';
FUNCTION HistEntryName; External cwdll name 'HistEntryName';
FUNCTION HistFindEntry; External cwdll name 'HistFindEntry';
FUNCTION HistFindName; External cwdll name 'HistFindName';
FUNCTION HistGetEntry; External cwdll name 'HistGetEntry';
FUNCTION HistGetName; External cwdll name 'HistGetName';
FUNCTION HistNewEntry; External cwdll name 'HistNewEntry';
FUNCTION HistNumEntries; External cwdll name 'HistNumEntries';
FUNCTION HistQLimit; External cwdll name 'HistQLimit';
FUNCTION HistSetLimit; External cwdll name 'HistSetLimit';
FUNCTION KeyCodeToStr; External cwdll name 'KeyCodeToStr';
FUNCTION KeyDelay; External cwdll name 'KeyDelay';
PROCEDURE KeyFlush; External cwdll name 'KeyFlush';
FUNCTION KeyGetch; External cwdll name 'KeyGetch';
FUNCTION KeyGetVKey; External cwdll name 'KeyGetVKey';
FUNCTION KeyIdleEventDeregister; External cwdll name 'KeyIdleEventDeregister';
FUNCTION KeyIdleEventRegister; External cwdll name 'KeyIdleEventRegister';
FUNCTION KeyPlayback; External cwdll name 'KeyPlayback';
FUNCTION KeyQCurrent; External cwdll name 'KeyQCurrent';
FUNCTION KeyQIdleTime; External cwdll name 'KeyQIdleTime';
FUNCTION KeyQLast; External cwdll name 'KeyQLast';
FUNCTION KeyQPressed; External cwdll name 'KeyQPressed';
FUNCTION KeyQRecording; External cwdll name 'KeyQRecording';
FUNCTION KeyQRecordString; External cwdll name 'KeyQRecordString';
FUNCTION KeyRecord; External cwdll name 'KeyRecord';
FUNCTION KeyRepeat; External cwdll name 'KeyRepeat';
FUNCTION KeySetCurrent; External cwdll name 'KeySetCurrent';
PROCEDURE KeySetRecordString; External cwdll name 'KeySetRecordString';
FUNCTION KeyStrToCode; External cwdll name 'KeyStrToCode';
FUNCTION KeyToAscii; External cwdll name 'KeyToAscii';
FUNCTION KeyUnget; External cwdll name 'KeyUnget';
FUNCTION KmapAssign; External cwdll name 'KmapAssign';
FUNCTION KmapAssignRange; External cwdll name 'KmapAssignRange';
PROCEDURE KmapAssignTypeables; External cwdll name 'KmapAssignTypeables';
FUNCTION KmapBusy; External cwdll name 'KmapBusy';
FUNCTION KmapCreate; External cwdll name 'KmapCreate';
PROCEDURE KmapDelete; External cwdll name 'KmapDelete';
FUNCTION KmapDump; External cwdll name 'KmapDump';
FUNCTION KmapGetHandles; External cwdll name 'KmapGetHandles';
PROCEDURE KmapProcessBegin; External cwdll name 'KmapProcessBegin';
PROCEDURE KmapProcessEnd; External cwdll name 'KmapProcessEnd';
FUNCTION KmapQAssignment; External cwdll name 'KmapQAssignment';
FUNCTION KmapQBinding; External cwdll name 'KmapQBinding';
FUNCTION KmapQBufferLocal; External cwdll name 'KmapQBufferLocal';
FUNCTION KmapQCount; External cwdll name 'KmapQCount';
FUNCTION KmapQCurrent; External cwdll name 'KmapQCurrent';
FUNCTION KmapQIsValidHandle; External cwdll name 'KmapQIsValidHandle';
FUNCTION KmapQName; External cwdll name 'KmapQName';
FUNCTION KmapQProcessLevel; External cwdll name 'KmapQProcessLevel';
FUNCTION KmapQWindowLocal; External cwdll name 'KmapQWindowLocal';
FUNCTION KmapSetBufferLocal; External cwdll name 'KmapSetBufferLocal';
FUNCTION KmapSetCurrent; External cwdll name 'KmapSetCurrent';
PROCEDURE KmapSetName; External cwdll name 'KmapSetName';
FUNCTION KmapSetWindowLocal; External cwdll name 'KmapSetWindowLocal';
PROCEDURE LibAutoLoad; External cwdll name 'LibAutoLoad';
PROCEDURE LibExport; External cwdll name 'LibExport';
FUNCTION LibFunctionExec; External cwdll name 'LibFunctionExec';
FUNCTION LibFunctionExecArgs; External cwdll name 'LibFunctionExecArgs';
FUNCTION LibFunctionExists; External cwdll name 'LibFunctionExists';
FUNCTION LibFunctionReplace; External cwdll name 'LibFunctionReplace';
FUNCTION LibPreLoad; External cwdll name 'LibPreLoad';
FUNCTION LibQReplacement; External cwdll name 'LibQReplacement';
FUNCTION LibUnLoad; External cwdll name 'LibUnLoad';
FUNCTION MarkAdjustSel; External cwdll name 'MarkAdjustSel';
FUNCTION MarkAllocGlobal; External cwdll name 'MarkAllocGlobal';
FUNCTION MarkAllocLocal; External cwdll name 'MarkAllocLocal';
FUNCTION MarkBeginSel; External cwdll name 'MarkBeginSel';
FUNCTION MarkCompare; External cwdll name 'MarkCompare';
FUNCTION MarkCopy; External cwdll name 'MarkCopy';
FUNCTION MarkCreateGlobal; External cwdll name 'MarkCreateGlobal';
FUNCTION MarkCreateLocal; External cwdll name 'MarkCreateLocal';
FUNCTION MarkDropPos; External cwdll name 'MarkDropPos';
FUNCTION MarkDupPos; External cwdll name 'MarkDupPos';
FUNCTION MarkEndSel; External cwdll name 'MarkEndSel';
FUNCTION MarkFree; External cwdll name 'MarkFree';
FUNCTION MarkFreeAllGlobal; External cwdll name 'MarkFreeAllGlobal';
FUNCTION MarkFreeAllLocal; External cwdll name 'MarkFreeAllLocal';
FUNCTION MarkGetSelInfo; External cwdll name 'MarkGetSelInfo';
FUNCTION MarkGetSelStr; External cwdll name 'MarkGetSelStr';
FUNCTION MarkGoto; External cwdll name 'MarkGoto';
FUNCTION MarkNormalizeSel; External cwdll name 'MarkNormalizeSel';
FUNCTION MarkQBufferHandle; External cwdll name 'MarkQBufferHandle';
FUNCTION MarkQColumn; External cwdll name 'MarkQColumn';
FUNCTION MarkQColumnAdjust; External cwdll name 'MarkQColumnAdjust';
FUNCTION MarkQDistance; External cwdll name 'MarkQDistance';
FUNCTION MarkQGlobalCount; External cwdll name 'MarkQGlobalCount';
FUNCTION MarkQInUse; External cwdll name 'MarkQInUse';
FUNCTION MarkQIsGlobal; External cwdll name 'MarkQIsGlobal';
FUNCTION MarkQIsLocal; External cwdll name 'MarkQIsLocal';
FUNCTION MarkQIsPosition; External cwdll name 'MarkQIsPosition';
FUNCTION MarkQIsSelection; External cwdll name 'MarkQIsSelection';
FUNCTION MarkQIsSelOpen; External cwdll name 'MarkQIsSelOpen';
FUNCTION MarkQLine; External cwdll name 'MarkQLine';
FUNCTION MarkQLocalCount; External cwdll name 'MarkQLocalCount';
FUNCTION MarkQNextGlobal; External cwdll name 'MarkQNextGlobal';
FUNCTION MarkQNextLocal; External cwdll name 'MarkQNextLocal';
FUNCTION MarkQOrder; External cwdll name 'MarkQOrder';
FUNCTION MarkQPosDepth; External cwdll name 'MarkQPosDepth';
FUNCTION MarkQPosID; External cwdll name 'MarkQPosID';
FUNCTION MarkQPrevGlobal; External cwdll name 'MarkQPrevGlobal';
FUNCTION MarkQPrevLocal; External cwdll name 'MarkQPrevLocal';
FUNCTION MarkQSelBeginID; External cwdll name 'MarkQSelBeginID';
FUNCTION MarkQSelCount; External cwdll name 'MarkQSelCount';
FUNCTION MarkQSelEndID; External cwdll name 'MarkQSelEndID';
FUNCTION MarkQSelSize; External cwdll name 'MarkQSelSize';
FUNCTION MarkQSelType; External cwdll name 'MarkQSelType';
FUNCTION MarkQType; External cwdll name 'MarkQType';
PROCEDURE MarkRemoveAllSel; External cwdll name 'MarkRemoveAllSel';
FUNCTION MarkRemoveSel; External cwdll name 'MarkRemoveSel';
FUNCTION MarkRestorePos; External cwdll name 'MarkRestorePos';
FUNCTION MarkResumeSel; External cwdll name 'MarkResumeSel';
FUNCTION MarkRotatePos; External cwdll name 'MarkRotatePos';
PROCEDURE MarkSavePos; External cwdll name 'MarkSavePos';
FUNCTION MarkSet; External cwdll name 'MarkSet';
FUNCTION MarkSetColumnAdjust; External cwdll name 'MarkSetColumnAdjust';
FUNCTION MarkSwap; External cwdll name 'MarkSwap';
FUNCTION MarkSwapPos; External cwdll name 'MarkSwapPos';
FUNCTION MarkSwapSel; External cwdll name 'MarkSwapSel';
FUNCTION MemAlloc; External cwdll name 'MemAlloc';
FUNCTION MemCalloc; External cwdll name 'MemCalloc';
PROCEDURE MemFree; External cwdll name 'MemFree';
FUNCTION MemReAlloc; External cwdll name 'MemReAlloc';
FUNCTION MenuAddHelpString; External cwdll name 'MenuAddHelpString';
FUNCTION MenuAddKeyString; External cwdll name 'MenuAddKeyString';
FUNCTION MenuDelete; External cwdll name 'MenuDelete';
FUNCTION MenuDeleteItem; External cwdll name 'MenuDeleteItem';
FUNCTION MenuGetId; External cwdll name 'MenuGetId';
FUNCTION MenuGetItemId; External cwdll name 'MenuGetItemId';
FUNCTION MenuGetItemPos; External cwdll name 'MenuGetItemPos';
FUNCTION MenuGetPos; External cwdll name 'MenuGetPos';
FUNCTION MenuInsert; External cwdll name 'MenuInsert';
FUNCTION MenuInsertItem; External cwdll name 'MenuInsertItem';
FUNCTION MenuQCount; External cwdll name 'MenuQCount';
FUNCTION MenuQHandle; External cwdll name 'MenuQHandle';
FUNCTION MenuQItemCount; External cwdll name 'MenuQItemCount';
FUNCTION MenuRegisterHandler; External cwdll name 'MenuRegisterHandler';
FUNCTION MenuRegisterInitializer; External cwdll name 'MenuRegisterInitializer';
FUNCTION Merge; External cwdll name 'Merge';
FUNCTION MouseButtons; External cwdll name 'MouseButtons';
PROCEDURE MouseCreateWin; External cwdll name 'MouseCreateWin';
FUNCTION MouseCursorX; External cwdll name 'MouseCursorX';
FUNCTION MouseCursorY; External cwdll name 'MouseCursorY';
FUNCTION MovAbs; External cwdll name 'MovAbs';
FUNCTION MovDown; External cwdll name 'MovDown';
FUNCTION MovEndWin; External cwdll name 'MovEndWin';
FUNCTION MovEOF; External cwdll name 'MovEOF';
FUNCTION MovEOL; External cwdll name 'MovEOL';
FUNCTION MovHome; External cwdll name 'MovHome';
FUNCTION MovLeft; External cwdll name 'MovLeft';
FUNCTION MovNextChar; External cwdll name 'MovNextChar';
FUNCTION MovPageDown; External cwdll name 'MovPageDown';
FUNCTION MovPageUp; External cwdll name 'MovPageUp';
FUNCTION MovPrevChar; External cwdll name 'MovPrevChar';
FUNCTION MovRel; External cwdll name 'MovRel';
FUNCTION MovRight; External cwdll name 'MovRight';
FUNCTION MovToLine; External cwdll name 'MovToLine';
FUNCTION MovToOffset; External cwdll name 'MovToOffset';
FUNCTION MovTopBuf; External cwdll name 'MovTopBuf';
FUNCTION MovTopWin; External cwdll name 'MovTopWin';
FUNCTION MovUp; External cwdll name 'MovUp';
FUNCTION MsgCommandPrompt; External cwdll name 'MsgCommandPrompt';
FUNCTION MsgConfirm; External cwdll name 'MsgConfirm';
PROCEDURE MsgError; External cwdll name 'MsgError';
FUNCTION MsgLevel; External cwdll name 'MsgLevel';
PROCEDURE MsgMessage; External cwdll name 'MsgMessage';
PROCEDURE MsgNotify; External cwdll name 'MsgNotify';
FUNCTION MsgNotifyConfirm; External cwdll;
PROCEDURE MsgNotifyError; External cwdll name 'MsgNotifyError';
FUNCTION MsgPauseOnError; External cwdll name 'MsgPauseOnError';
FUNCTION MsgPopupPrompt; External cwdll name 'MsgPopupPrompt';
FUNCTION MsgPrompt; External cwdll name 'MsgPrompt';
FUNCTION MsgQLastStr; External cwdll name 'MsgQLastStr';
FUNCTION MsgQPromptResponse; External cwdll name 'MsgQPromptResponse';
PROCEDURE MsgSetPromptResponse; External cwdll name 'MsgSetPromptResponse';
PROCEDURE MsgWarning; External cwdll name 'MsgWarning';
FUNCTION MsgWinType; External cwdll name 'MsgWinType';
FUNCTION ReCompile; External cwdll name 'ReCompile';
PROCEDURE ReFree; External cwdll name 'ReFree';
FUNCTION RibbonAddBitmap; External cwdll name 'RibbonAddBitmap';
FUNCTION RibbonAddButton; External cwdll name 'RibbonAddButton';
FUNCTION RibbonAddControl; External cwdll name 'RibbonAddControl';
FUNCTION RibbonAddIcon; External cwdll name 'RibbonAddIcon';
FUNCTION RibbonControlAssign; External cwdll name 'RibbonControlAssign';
FUNCTION RibbonControlPos; External cwdll name 'RibbonControlPos';
FUNCTION RibbonDelControl; External cwdll name 'RibbonDelControl';
FUNCTION RibbonQBinding; External cwdll name 'RibbonQBinding';
FUNCTION RibbonQHeight; External cwdll name 'RibbonQHeight';
FUNCTION RibbonQUnusedID; External cwdll name 'RibbonQUnusedID';
FUNCTION RibbonQWidth; External cwdll name 'RibbonQWidth';
FUNCTION RibbonRedraw; External cwdll name 'RibbonRedraw';
FUNCTION RibbonSetHeight; External cwdll name 'RibbonSetHeight';
FUNCTION RibbonSetWidth; External cwdll name 'RibbonSetWidth';
FUNCTION ScrapChange; External cwdll name 'ScrapChange';
FUNCTION ScrapNext; External cwdll name 'ScrapNext';
FUNCTION ScrapPrev; External cwdll name 'ScrapPrev';
FUNCTION ScrapQCount; External cwdll name 'ScrapQCount';
FUNCTION ScrapQCurrent; External cwdll name 'ScrapQCurrent';
FUNCTION ScrapQNext; External cwdll name 'ScrapQNext';
FUNCTION ScrapQPrev; External cwdll name 'ScrapQPrev';
FUNCTION ScrapSetCount; External cwdll name 'ScrapSetCount';
FUNCTION ScrapSetCurrent; External cwdll name 'ScrapSetCurrent';
FUNCTION SrchFind; External cwdll name 'SrchFind';
FUNCTION SrchQFlags; External cwdll name 'SrchQFlags';
FUNCTION SrchSetCase; External cwdll name 'SrchSetCase';
FUNCTION SrchSetFlags; External cwdll name 'SrchSetFlags';
FUNCTION SrchSetFwd; External cwdll name 'SrchSetFwd';
FUNCTION SrchSetGlobal; External cwdll name 'SrchSetGlobal';
FUNCTION SrchSetPrompt; External cwdll name 'SrchSetPrompt';
FUNCTION SrchSetRegex; External cwdll name 'SrchSetRegex';
FUNCTION SrchSetSelection; External cwdll name 'SrchSetSelection';
FUNCTION SrchSetWrap; External cwdll name 'SrchSetWrap';
FUNCTION SrchTranslate; External cwdll name 'SrchTranslate';
FUNCTION StrAppend; External cwdll name 'StrAppend';
FUNCTION StrAscii; External cwdll name 'StrAscii';
PROCEDURE StrFree; External cwdll name 'StrFree';
FUNCTION StrGSub; External cwdll name 'StrGSub';
FUNCTION StrItoA; External cwdll name 'StrItoA';
FUNCTION StrLtrim; External cwdll name 'StrLtrim';
FUNCTION StrMatch; External cwdll name 'StrMatch';
FUNCTION StrNAppend; External cwdll name 'StrNAppend';
FUNCTION StrNew; External cwdll name 'StrNew';
FUNCTION StrNNew; External cwdll name 'StrNNew';
FUNCTION StrNormalizePath; External cwdll name 'StrNormalizePath';
FUNCTION StrSplitpath; External cwdll name 'StrSplitpath';
FUNCTION StrSub; External cwdll name 'StrSub';
FUNCTION StrSubStr; External cwdll name 'StrSubStr';
FUNCTION StrTrim; External cwdll name 'StrTrim';
PROCEDURE SysBeep; External cwdll name 'SysBeep';
FUNCTION SysCaretHeight; External cwdll name 'SysCaretHeight';
FUNCTION SysCaretWidth; External cwdll name 'SysCaretWidth';
FUNCTION SysDeregisterMessageHandler; External cwdll name 'SysDeregisterMessageHandler';
FUNCTION SysEditVersion; External cwdll name 'SysEditVersion';
FUNCTION SysExec; External cwdll name 'SysExec';
FUNCTION SysExit; External cwdll name 'SysExit';
FUNCTION SysGetEnv; External cwdll name 'SysGetEnv';
FUNCTION SysLoadDesktopBitmap; External cwdll name 'SysLoadDesktopBitmap';
FUNCTION SysQAppName; External cwdll name 'SysQAppName';
FUNCTION SysQArgc; External cwdll name 'SysQArgc';
FUNCTION SysQArgv; External cwdll name 'SysQArgv';
FUNCTION SysQCtlColor; External cwdll name 'SysQCtlColor';
FUNCTION SysQCwd; External cwdll name 'SysQCwd';
FUNCTION SysQDefault; External cwdll name 'SysQDefault';
FUNCTION SysQFlags; External cwdll name 'SysQFlags';
PROCEDURE SysQuit; External cwdll name 'SysQuit';
FUNCTION SysQUserFlags; External cwdll name 'SysQUserFlags';
FUNCTION SysRegisterMessageHandler; External cwdll name 'SysRegisterMessageHandler';
FUNCTION SysSetCwd; External cwdll name 'SysSetCwd';
PROCEDURE SysSetDefault; External cwdll name 'SysSetDefault';
FUNCTION SysSetFileLocking; External cwdll name 'SysSetFileLocking';
FUNCTION SysSetFlags; External cwdll name 'SysSetFlags';
FUNCTION SysSetUserFlags; External cwdll name 'SysSetUserFlags';
PROCEDURE SysSwapBlocks; External cwdll name 'SysSwapBlocks';
FUNCTION SysToggleFlags; External cwdll name 'SysToggleFlags';
FUNCTION SysToggleUserFlags; External cwdll name 'SysToggleUserFlags';
FUNCTION SysWaitEnd; External cwdll name 'SysWaitEnd';
FUNCTION SysWaitStart; External cwdll name 'SysWaitStart';
FUNCTION ToolboxAddBitmap; External cwdll name 'ToolboxAddBitmap';
FUNCTION ToolboxAddButton; External cwdll name 'ToolboxAddButton';
FUNCTION ToolboxAddControl; External cwdll name 'ToolboxAddControl';
FUNCTION ToolboxAddIcon; External cwdll name 'ToolboxAddIcon';
FUNCTION ToolboxControlAssign; External cwdll name 'ToolboxControlAssign';
FUNCTION ToolboxControlPos; External cwdll name 'ToolboxControlPos';
FUNCTION ToolboxDelControl; External cwdll name 'ToolboxDelControl';
FUNCTION ToolboxQBinding; External cwdll name 'ToolboxQBinding';
FUNCTION ToolboxQHeight; External cwdll name 'ToolboxQHeight';
FUNCTION ToolboxQUnusedID; External cwdll name 'ToolboxQUnusedID';
FUNCTION ToolboxQWidth; External cwdll name 'ToolboxQWidth';
FUNCTION ToolboxRedraw; External cwdll name 'ToolboxRedraw';
FUNCTION ToolboxSetHeight; External cwdll name 'ToolboxSetHeight';
FUNCTION ToolboxSetWidth; External cwdll name 'ToolboxSetWidth';
FUNCTION TransformFilename; External cwdll name 'TransformFilename';
FUNCTION WinAttachBuf; External cwdll name 'WinAttachBuf';
FUNCTION WinCreate; External cwdll name 'WinCreate';
FUNCTION WinDelWindow; External cwdll name 'WinDelWindow';
FUNCTION WinLeftMargin; External cwdll name 'WinLeftMargin';
FUNCTION WinQAdjacent; External cwdll name 'WinQAdjacent';
FUNCTION WinQCurrentWindow; External cwdll name 'WinQCurrentWindow';
FUNCTION WinQCursorX; External cwdll name 'WinQCursorX';
FUNCTION WinQCursorY; External cwdll name 'WinQCursorY';
FUNCTION WinQFirstLine; External cwdll name 'WinQFirstLine';
FUNCTION WinQHClient; External cwdll name 'WinQHClient';
FUNCTION WinQHCurrent; External cwdll name 'WinQHCurrent';
FUNCTION WinQHFrame; External cwdll name 'WinQHFrame';
FUNCTION WinQHInstance; External cwdll name 'WinQHInstance';
FUNCTION WinQHRibbon; External cwdll name 'WinQHRibbon';
FUNCTION WinQHToolbox; External cwdll name 'WinQHToolbox';
FUNCTION WinQIsSystem; External cwdll name 'WinQIsSystem';
FUNCTION WinQIsValidHandle; External cwdll name 'WinQIsValidHandle';
FUNCTION WinQLastCurrent; External cwdll name 'WinQLastCurrent';
FUNCTION WinQLeftColumn; External cwdll name 'WinQLeftColumn';
FUNCTION WinQList; External cwdll name 'WinQList';
FUNCTION WinQNext; External cwdll name 'WinQNext';
FUNCTION WinQPos; External cwdll name 'WinQPos';
FUNCTION WinQPrev; External cwdll name 'WinQPrev';
FUNCTION WinQSysFlags; External cwdll name 'WinQSysFlags';
FUNCTION WinQTextHeight; External cwdll name 'WinQTextHeight';
FUNCTION WinQTextWidth; External cwdll name 'WinQTextWidth';
FUNCTION WinQUserFlags; External cwdll name 'WinQUserFlags';
PROCEDURE WinRedraw; External cwdll name 'WinRedraw';
FUNCTION WinScrollH; External cwdll name 'WinScrollH';
FUNCTION WinScrollHInc; External cwdll name 'WinScrollHInc';
FUNCTION WinScrollV; External cwdll name 'WinScrollV';
PROCEDURE WinSetCreationPos; External cwdll name 'WinSetCreationPos';
FUNCTION WinSetCurrentWindow; External cwdll name 'WinSetCurrentWindow';
PROCEDURE WinSetModelWindow; External cwdll name 'WinSetModelWindow';
FUNCTION WinSetPos; External cwdll name 'WinSetPos';
FUNCTION WinSetSysFlags; External cwdll name 'WinSetSysFlags';
PROCEDURE WinSetTopLeft; External cwdll name 'WinSetTopLeft';
FUNCTION WinSetUserFlags; External cwdll name 'WinSetUserFlags';
FUNCTION WinToggleSysFlags; External cwdll name 'WinToggleSysFlags';
FUNCTION WinToggleUserFlags; External cwdll name 'WinToggleUserFlags';
PROCEDURE WinUpdate; External cwdll name 'WinUpdate';
FUNCTION WinVisibleEOF; External cwdll name 'WinVisibleEOF';
FUNCTION WinVisibleEOL; External cwdll name 'WinVisibleEOL';
FUNCTION WinVisibleMarginColumn; External cwdll name 'WinVisibleMarginColumn';
FUNCTION WinVisibleSeparator; External cwdll name 'WinVisibleSeparator';
FUNCTION WinVisibleSpaces; External cwdll name 'WinVisibleSpaces';
FUNCTION WinVisibleTabs; External cwdll name 'WinVisibleTabs';
FUNCTION WinVisibleVirtLines; External cwdll name 'WinVisibleVirtLines';
FUNCTION WinVisibleVirtSpaces; External cwdll name 'WinVisibleVirtSpaces';


{** the following are found in cwstart.dll  ** }
FUNCTION CheckIn; External cwstart name 'CheckIn';
FUNCTION CheckInBuffer; External cwstart name 'CheckInBuffer';
FUNCTION CheckInQCmd; External cwstart name 'CheckInQCmd';
FUNCTION CheckInResponse; External cwstart name 'CheckInResponse';
FUNCTION CheckOut; External cwstart name 'CheckOut';
FUNCTION CheckOutBuffer; External cwstart name 'CheckOutBuffer';
FUNCTION CheckOutQCmd; External cwstart name ' CheckOutQCmd';
FUNCTION CheckOutResponse; External cwstart name 'CheckOutResponse';
FUNCTION CompilerAddResponse; External cwstart name 'CompilerAddResponse';
FUNCTION DlgMenuExec; External cwstart name 'DlgMenuExec';
FUNCTION DlgMenuPopupStr; External cwstart name 'DlgMenuPopupStr';
FUNCTION DlgMenuSetFilename; External cwstart name 'DlgMenuSetFilename';
FUNCTION EditPathFile; External cwstart name 'DLL EditPathFile';
FUNCTION DupSelection; External cwstart name 'DupSelection';
FUNCTION EditSetPath; External cwstart name ' EditSetPath';
FUNCTION HelpGetDefault; External cwstart name 'HelpGetDefault';
FUNCTION IsFileLoaded; External cwstart name 'IsFileLoaded';
FUNCTION IsFileModified; External cwstart name 'IsFileModified';
FUNCTION nextWord; External cwstart name 'nextWord';
FUNCTION openConfigFile; External cwstart name 'openConfigFile';
FUNCTION prevWord; External cwstart name 'prevWord';
FUNCTION ProjClearWorkspace; External cwstart name 'ProjClearWorkspace';
FUNCTION readConfigSection; External cwstart name 'readConfigSection';
FUNCTION SaveModifiedFile; External cwstart name 'SaveModifiedFile';
FUNCTION SelectWord; External cwstart name 'SelectWord';
FUNCTION StateSetMarkLevel; External cwstart name 'StateSetMarkLevel';
FUNCTION VCSBufferOkToDelete; External cwstart name 'VCSBufferOkToDelete';
FUNCTION VCSBufferReEdit; External cwstart name 'VCSBufferReEdit';
FUNCTION VCSBufferSave; External cwstart name 'VCSBufferSave';
FUNCTION VCSBufferValidate; External cwstart name 'VCSBufferValidate';
FUNCTION VCSCmd; External cwstart name 'VCSCmd';
FUNCTION VCSLabel; External cwstart name ' VCSLabel';
FUNCTION VCSProject; External cwstart name ' VCSProject';
FUNCTION VCSProjectLocalPath; External cwstart name ' VCSProjectLocalPath';
FUNCTION VCSProjectPath; External cwstart name ' VCSProjectPath';
FUNCTION VCSProvider; External cwstart name ' VCSProvider';
FUNCTION VCSQCmd; External cwstart name ' VCSQCmd';
FUNCTION VCSQCmdFlags; External cwstart name 'VCSQCmdFlags';
FUNCTION VCSQCmdIDName; External cwstart name ' VCSQCmdIDName';
FUNCTION VCSQCmdName; External cwstart name ' VCSQCmdName';
FUNCTION VCSUpdateProjectWindow; External cwstart name 'VCSUpdateProjectWindow';
FUNCTION VCSUserName; External cwstart name ' VCSUserName';
FUNCTION VCSVendor; External cwstart name ' VCSVendor';
FUNCTION WrapEnable; External cwstart name 'WrapEnable';
FUNCTION WrapSetRightMargin; External cwstart name 'WrapSetRightMargin';
FUNCTION _VCSReloadHandler; External cwstart name '_VCSReloadHandler';
PROCEDURE CheckInSetCmd; External cwstart name 'CheckInSetCmd';
PROCEDURE CheckOutSetCmd; External cwstart name 'CheckOutSetCmd';
PROCEDURE closeConfigFile; External cwstart name 'closeConfigFile';
PROCEDURE Comment; External cwstart name 'Comment';
PROCEDURE CommentWithBorder; External cwstart name 'CommentWithBorder';
PROCEDURE Edit_add_controls; External cwstart name 'Edit_add_controls';
PROCEDURE GetBorderElements; External cwstart name 'GetBorderElements';
PROCEDURE HelpSetDefault; External cwstart name 'HelpSetDefault';
PROCEDURE initOutput; External cwstart name 'initOutput';
PROCEDURE initVCS; External cwstart name 'initVCS';
PROCEDURE ReadVcsConfig; External cwstart name 'ReadVcsConfig';
PROCEDURE SaveBorderElements; External cwstart name 'SaveBorderElements';
PROCEDURE SetBorderElements; External cwstart name 'SetBorderElements';
PROCEDURE SetWindowState; External cwstart name 'SetWindowState';
PROCEDURE ShowStatus; External cwstart name 'ShowStatus';
PROCEDURE Standard_add_controls; External cwstart name 'Standard_add_controls'; 
PROCEDURE Tools_add_controls; External cwstart name 'Tools_add_controls';
PROCEDURE VCSSetCmd; External cwstart name 'VCSSetCmd';
PROCEDURE VCS_add_controls; External cwstart name 'VCS_add_controls';
PROCEDURE WrapParagraph; External cwstart name 'WrapParagraph';
PROCEDURE _BuildBreak; External cwstart name '_BuildBreak';




END.
