unit sample;
{$H+}
{
Note:
To create a DLL in Delphi to run in Codewright you will need to have
DELPHIMM.DLL in the same directory as your CW DLL or in your
PATH, \windows\system, or windows\system32 directory.
}

interface

Uses sharemem, CWAPI, Windows, CWCONST, SysUtils;

procedure MyFunc; Export;
procedure _init; stdcall;


implementation


{ sample function }
PROCEDURE MyFunc; Export;
begin

   MsgNotify( PChar('MyFunc') );

end;

{
 When this DLL is first loaded either by LibPreLoad() or LibAutoLoad(),
 the function _init() is invoked.  Within this function, all DLL specific
 initialization should be performed such as:

         - Defining any module global keystrokes or keymaps to be used
         - Exporting any functions to be accessed through LibFunctionExec()
         - Autoloading any other DLLs.

}

PROCEDURE _init; stdcall;
BEGIN
     { Place all 'LibExport' calls here. }

     LibExport('MyFunc');
END;

END.
